- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Signals | Public Member Functions | Static Public Member Functions | Friends

# QTransportAuth Class Reference

Search for all occurrences

## Detailed Description

Definition at line 69 of file qtransportauth_qws.h.

`#include <qtransportauth_qws.h>`

Inheritance diagram for QTransportAuth:
[legend]

List of all members.

## Classes
struct | Data
## Public Types
enum | Result { Pending = 0x00, TooSmall = 0x01, CacheMiss = 0x02, NoMagic = 0x03, NoSuchKey = 0x04, FailMatch = 0x05, OutOfDate = 0x06, Success = 0x1e, ErrMask = 0x1f, Allow = 0x20, Deny = 0x40, Ask = 0x60, StatusMask = 0xe0 }
enum | Properties { Trusted = 0x01, Connection = 0x02, UnixStreamSock = 0x04, SharedMemory = 0x08, MessageQueue = 0x10, UDP = 0x20, TCP = 0x40, UserDefined = 0x80, TransportType = 0xfc }
## Signals
void | policyCheck (QTransportAuth::Data &, const QString &)
void | authViolation (QTransportAuth::Data &)
## Public Member Functions
QTransportAuth::Data * | connectTransport (unsigned char, int)
QAuthDevice * | authBuf (QTransportAuth::Data *, QIODevice *)
QAuthDevice * | recvBuf (QTransportAuth::Data *, QIODevice *)
QIODevice * | passThroughByClient (QWSClient *) const
void | setKeyFilePath (const QString &)
QString | keyFilePath () const
const unsigned char * | getClientKey (unsigned char progId)
void | invalidateClientKeyCache ()
QMutex * | getKeyFileMutex ()
void | setLogFilePath (const QString &)
QString | logFilePath () const
void | setPackageRegistry (QObject *registry)
bool | isDiscoveryMode () const
void | setProcessKey (const char *)
void | setProcessKey (const char *, const char *)
void | registerPolicyReceiver (QObject *)
void | unregisterPolicyReceiver (QObject *)
bool | authToMessage (QTransportAuth::Data &d, char *hdr, const char *msg, int msgLen)
bool | authFromMessage (QTransportAuth::Data &d, const char *msg, int msgLen)
bool | authorizeRequest (QTransportAuth::Data &d, const QString &request)
## Static Public Member Functions
static QTransportAuth * | getInstance ()
static const char * | errorString (const QTransportAuth::Data &)
## Friends
class | QAuthDevice

## Member Enumeration Documentation

enum Result

Search for all occurrences

Enumerator:

  Pending | Search for all occurrences
  TooSmall | Search for all occurrences
  CacheMiss | Search for all occurrences
  NoMagic | Search for all occurrences
  NoSuchKey | Search for all occurrences
  FailMatch | Search for all occurrences
  OutOfDate | Search for all occurrences
  Success | Search for all occurrences
  ErrMask | Search for all occurrences
  Allow | Search for all occurrences
  Deny | Search for all occurrences
  Ask | Search for all occurrences
  StatusMask | Search for all occurrences

Definition at line 75 of file qtransportauth_qws.h.

                    {
            // Error codes
            Pending = 0x00,
            TooSmall = 0x01,
            CacheMiss = 0x02,
            NoMagic = 0x03,
            NoSuchKey = 0x04,
            FailMatch = 0x05,
            OutOfDate = 0x06,
            // reserved for expansion
            Success = 0x1e,
            ErrMask = 0x1f,

            // Verification codes
            Allow = 0x20,
            Deny = 0x40,
            Ask = 0x60,
            // reserved
            StatusMask = 0xe0
        };

enum Properties

Search for all occurrences

Enumerator:

  Trusted | Search for all occurrences
  Connection | Search for all occurrences
  UnixStreamSock | Search for all occurrences
  SharedMemory | Search for all occurrences
  MessageQueue | Search for all occurrences
  UDP | Search for all occurrences
  TCP | Search for all occurrences
  UserDefined | Search for all occurrences
  TransportType | Search for all occurrences

Definition at line 96 of file qtransportauth_qws.h.

                        {
            Trusted = 0x01,
            Connection = 0x02,
            UnixStreamSock = 0x04,
            SharedMemory = 0x08,
            MessageQueue = 0x10,
            UDP = 0x20,
            TCP = 0x40,
            UserDefined = 0x80,
            TransportType = 0xfc
        };

## Member Function Documentation

static QTransportAuth* getInstance | ( |  | ) | `[static]`

Search for all occurrences

static const char* errorString | ( | const QTransportAuth::Data & |  | ) | `[static]`

Search for all occurrences

QTransportAuth::Data* connectTransport | ( | unsigned | char,
|  | int |
| ) |  |

Search for all occurrences

QAuthDevice* authBuf | ( | QTransportAuth::Data * | ,
|  | QIODevice * |
| ) |  |

Search for all occurrences

QAuthDevice* recvBuf | ( | QTransportAuth::Data * | ,
|  | QIODevice * |
| ) |  |

Search for all occurrences

QIODevice* passThroughByClient | ( | QWSClient * |  | ) | const

Search for all occurrences

void setKeyFilePath | ( | const QString & |  | ) |

Search for all occurrences

QString keyFilePath | ( |  | ) | const

Search for all occurrences

const unsigned char* getClientKey | ( | unsigned char | progId | ) |

Search for all occurrences

void invalidateClientKeyCache | ( |  | ) |

Search for all occurrences

QMutex* getKeyFileMutex | ( |  | ) |

Search for all occurrences

void setLogFilePath | ( | const QString & |  | ) |

Search for all occurrences

QString logFilePath | ( |  | ) | const

Search for all occurrences

void setPackageRegistry | ( | QObject * | registry | ) |

Search for all occurrences

bool isDiscoveryMode | ( |  | ) | const

Search for all occurrences

void setProcessKey | ( | const char * |  | ) |

Search for all occurrences

void setProcessKey | ( | const char * | ,
|  | const char * |
| ) |  |

Search for all occurrences

void registerPolicyReceiver | ( | QObject * |  | ) |

Search for all occurrences

void unregisterPolicyReceiver | ( | QObject * |  | ) |

Search for all occurrences

bool authToMessage | ( | QTransportAuth::Data & | d,
|  | char * | hdr,
|  | const char * | msg,
|  | int | msgLen
| ) |  |

Search for all occurrences

bool authFromMessage | ( | QTransportAuth::Data & | d,
|  | const char * | msg,
|  | int | msgLen
| ) |  |

Search for all occurrences

bool authorizeRequest | ( | QTransportAuth::Data & | d,
|  | const QString & | request
| ) |  |

Search for all occurrences

void policyCheck | ( | QTransportAuth::Data & | ,
|  | const QString & |
| ) |  | `[signal]`

Search for all occurrences

void authViolation | ( | QTransportAuth::Data & |  | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QAuthDevice `[friend]`

Search for all occurrences

Definition at line 171 of file qtransportauth_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qtransportauth_qws.h

QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth
QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth QTransportAuth